<?xml version="1.0" encoding="UTF-8"?>
<glade-catalog name="xfce4" library="gladexfce4" domain="glade3" book="xfce4">
  <glade-widget-classes>
    
    <!-- TODO: this needs some special setup in the glade helper lib to
         create and populate the XfceAboutInfo struct.
    <glade-widget-class name="XfceAboutDialog" _title="Xfce About Dialog"
                        generic-name="xfce-about-dialog">
    
    </glade-widget-class>
    -->
    
    <glade-widget-class name="XfceAppMenuItem" _title="Launcher Menu Item"
                        generic-name="xfce-app-menu-item">
      <properties>
        <property id="label" _name="Label"/>
        <property id="command" _name="Command"/>
        <property id="icon-name" _name="Icon Filename"/>
        <property id="needs-term" _name="Needs Terminal"/>
        <property id="snotify" _name="Supports Startup Notification"/>
      </properties>
    </glade-widget-class>
    
    <glade-widget-class name="XfceHeading" _title="Dialog Header"
                        generic-name="xfce-heading">
      <properties>
        <property id="icon" _name="Icon"/>
        <property id="icon-name" _name="Icon Name"/>
        <property id="title" _name="Title" translatable="True">
          <spec>glade_standard_string_spec</spec>
        </property>
        <property id="subtitle" _name="Subtitle" translatable="True">
          <spec>glade_standard_string_spec</spec>
        </property>
      </properties>
    </glade-widget-class>
    
    <glade-widget-class name="XfceMovehandler" _title="Move Handle"
                        generic-name="xfce-movehandler">
      <!-- TODO: need a way to set the XfceMoveFunc -->
    </glade-widget-class>
    
    <glade-widget-class name="XfceScaledImage" _title="Scaled Image"
                        generic-name="xfce-scaled-image">
      <!-- TODO: need properties or something to set the image -->
    </glade-widget-class>
    
    <glade-widget-class name="XfceTitledDialog" _title="Titled Dialog"
                        generic-name="xfce-titled-dialog">
      <post-create-function>glade_xfce_titled_dialog_post_create</post-create-function>
      <get-internal-child-function>glade_xfce_titled_dialog_get_internal_child</get-internal-child-function>
      <get-children-function>glade_xfce_titled_dialog_get_children</get-children-function>
      
      <properties>
        <property id="subtitle" _name="Subtitle" translatable="True">
          <spec>glade_standard_string_spec</spec>
        </property>
      </properties>
    </glade-widget-class>
  </glade-widget-classes>
  
  <glade-widget-group name="xfce4-widgets" _title="Xfce4 Widgets">
    <glade-widget-class-ref name="XfceAppMenuItem"/>
    <glade-widget-class-ref name="XfceHeading"/>
    <glade-widget-class-ref name="XfceMovehandler"/>
    <glade-widget-class-ref name="XfceScaledImage"/>
    <glade-widget-class-ref name="XfceTitledDialog"/>
  </glade-widget-group>
  
</glade-catalog>
